# Rédéfinition

## Redéfinition des vérification

Dans un premier dictionnaire déclarons notre variable et sa fonction de vérification :

```xml
<variables>
  <variable name="my_variable"/>
</variables>
<constraints>
  <check name="islower">
    <target>my_variable</target>
  </check>
</constraints>
```

En YAML :

```yml
variables:
- variable:
    name: my_variable
constraints:
- check:
  - name: islower
    target:
    - text: my_variable
```

Dans un second dictionnaire il est possible de redéfinir le calcul :

```xml
<variables>
  <variable name="my_variable" redefine="True"/>
</variables>
<constraints>
  <check name="isspace">
    <target>my_variable</target>
  </check>
</constraints>
```

En YAML :

```yml
variables:
- variable:
    name: my_variable
    redefine: true
constraints:
- check:
  - name: isspace
    target:
    - text: my_variable
```

Dans ce cas, la fonction "islower" exécuté. Si cette fonction ne retourne pas d'erreur, la seconde fonction "isspace" sera exécuté.

## Redéfinition avec suppression d'un calcul

Il se peut que dans un dictionnaire on décide de vérifier la valeur d'une variable.

Dans un second dictionnaire il est possible de supprimer cette vérification.

Dans un premier dictionnaire déclarons notre variable et notre fonction de vérification :

```xml
<variables>
  <variable name="my_variable"/>
</variables>
<constraints>
  <check name="islower">
    <target>my_variable</target>
  </check>
</constraints>
```

En YAML :

```yml
variables:
- variable:
    name: my_variable
constraints:
- check:
  - name: islower
    target:
    - text: my_variable
```

Dans un second dictionnaire supprimer cette vérification :

```xml
<variables>
  <variable name="my_variable" redefine="True" remove_check="True"/>
</variables>
```

En YAML :

```yml
variables:
- variable:
    name: my_variable
    redefine: true
    remove_check: true
```
