# Cible de type \*list

## Les différences cible de type \*.list

### servicelist

Une cible peut être de type [service](../service/README.md) :

```xml
<target type="servicelist">example</target>
```

En YAML :

```yml
target:
- type: servicelist
  text: example
```

### filelist

Une cible peut être de type [fichier](../service/file.md) :

```xml
<target type="filelist">example</target>
```

En YAML :

```yml
target:
- type: filelist
  text: example
```

### iplist

Une cible peut être de type [ip](../service/ip.md) :

```xml
<target type="iplist">example</target>
```

En YAML :

```yml
target:
- type: iplist
  text: example
```

## La cible optionnelle

Mais une target peut être optionnelle. C'est à dire que si la \*list n'existe pas, l'action ne sera pas associé.

```xml
<target type="filelist" optional="True">unknown</target>
```

En YAML :

```yml
target:
- type: filelist
  optional: true
  text: unknown
```
