# Les templates

## Le moteur "cheetah"

Le moteur de templating par défaut est le moteur [Cheetah](https://cheetahtemplate.org/).

Par contre, la configuration par défaut de Cheetah a été modifié.

Dans un template de configuration, il est très fréquent que le caractère "#" est le caractère des commentaires.
C'est pourquoi la configuration par défaut a été modifié.

Les choix sont maintenant les suivants :

- le caractère des directives : "%" ;
- les variables : "%%" ;
- le caractère des commentaires : "#".

Voici quelques exemples d'utilisateurs de ce moteur :

### utiliser une variable

```
%%variable_name
```

### condition

```
%if %%variable_name == 'oui'
text
%end if
```

### vérifier si une variable existe

```
%if %%varExists('variable_name')
text
%end if
```

### boucle

```
%for %%var in %%variable_name
%%var
%end for
```

### boucle avec variables meneuse et suiveuse

```
%for %%var in %%variable_leader
%%var.variable_follower
%end for
```

Pour plus d'informations, voir la documentation de Cheetah.

## Le moteur "jinja"

Il est possible d'utiliser le moteur de templating [Jinja](https://jinja.palletsprojects.com/).

Il n'y a pas d'adaptation particulière pour ce moteur.

Voici quelques exemples d'utilisateurs de ce moteur :

### utiliser une variable

```
{{ variable_name }}
```

### condition

```
{% if variable_name == 'oui' %}
text
{% endif -%}
```

### boucle

```
{% for var in variable_name %}
{{ var }}
{% endfor -%}
```

### boucle avec variables meneuse et suiveuse

```
{% for var in variable_leader %}
{{ var.variable_follower }}
{% endfor -%}
```

Pour plus d'informations, voir la documentation de Jinja.

## Le moteur "none"

Ce moteur permet de copie le fichier sans y apporter la moindre modification.
C'est utile pour les templates ne contenant aucune variable ni condition.
